langcode: en
status: open
dependencies:
  enforced:
    module:
      - webform_test
open: null
close: null
uid: null
template: false
id: test_composite
title: 'Test: Composite: Composites'
description: 'Test composite elements, includes address, contact, and name.'
category: 'Test: Composite'
elements: |
  composite_flexbox:
    '#type': details
    '#title': 'Composite Flexbox'
    '#open': true
    address:
      '#type': webform_address
      '#title': Address
      '#flexbox': true
    contact:
      '#type': webform_contact
      '#title': Contact
      '#flexbox': true
    name:
      '#type': webform_name
      '#title': Name
      '#flexbox': true
  composite_elements:
    '#type': details
    '#title': 'Composite Elements'
    '#open': true
    contact_basic:
      '#type': webform_contact
      '#title': 'Contact basic'
      '#required': true
      '#name__required': true
      '#default_value':
        name: 'John Smith'
        company: Acme
        address: '100 Main Street'
        address_2: 'PO BOX 999'
        city: 'Hill Valley'
        state_province: 'New Jersey'
        country: 'United States'
        postal_code: 11111-1111
        email: example@example.com
        phone: 123-456-7890
    contact_advanced:
      '#type': webform_contact
      '#title': 'Contact advanced'
      '#default_value':
        name: 'John Smith'
        company: Acme
        address: '100 Main Street'
        address_2: 'PO BOX 999'
        city: 'Hill Valley'
        state_province: 'New Jersey'
        country: 'United States'
        postal_code: 11111-1111
        email: example@example.com
        phone: 123-456-7890
      '#name__required': true
      '#name__title': 'Custom contact name'
      '#name__description': 'Custom contact name description'
      '#state_province__type': textfield
      '#country__required': true
      '#country__access': false
    link_basic:
      '#type': webform_link
      '#title': 'Link'
      '#default_value':
        title: Example
        url: http://example.com
  composite_elements_multiple:
    '#type': details
    '#title': 'Composite Elements Multiple'
    '#open': true
    link_multiple:
      '#type': webform_link
      '#title': 'Link multiple'
      '#multiple': true
      '#multiple__header': true
      '#default_value':
        - title: Example
          url: http://example.com
      '#title__help': 'This is link title help'
      '#url__help': 'This is link url help'
css: ''
javascript: ''
settings:
  ajax: false
  ajax_scroll_top: form
  page: true
  page_submit_path: ''
  page_confirm_path: ''
  form_submit_once: false
  form_exception_message: ''
  form_open_message: ''
  form_close_message: ''
  form_previous_submissions: true
  form_confidential: false
  form_confidential_message: ''
  form_convert_anonymous: false
  form_prepopulate: false
  form_prepopulate_source_entity: false
  form_prepopulate_source_entity_required: false
  form_prepopulate_source_entity_type: ''
  form_reset: false
  form_disable_autocomplete: false
  form_novalidate: false
  form_disable_inline_errors: false
  form_required: false
  form_unsaved: false
  form_disable_back: false
  form_submit_back: false
  form_autofocus: false
  form_details_toggle: false
  form_login: false
  form_login_message: ''
  submission_label: ''
  submission_log: false
  submission_user_columns: {  }
  submission_login: false
  submission_login_message: ''
  submission_exception_message: ''
  submission_locked_message: ''
  autofill: false
  autofill_message: ''
  autofill_excluded_elements: {  }
  wizard_progress_bar: true
  wizard_progress_pages: false
  wizard_progress_percentage: false
  wizard_start_label: ''
  wizard_confirmation: true
  wizard_confirmation_label: ''
  wizard_track: ''
  preview: 0
  preview_label: ''
  preview_title: ''
  preview_message: ''
  preview_attributes: {  }
  preview_excluded_elements: {  }
  preview_exclude_empty: true
  draft: none
  draft_multiple: false
  draft_auto_save: false
  draft_saved_message: ''
  draft_loaded_message: ''
  confirmation_type: message
  confirmation_title: ''
  confirmation_message: ''
  confirmation_url: ''
  confirmation_attributes: {  }
  confirmation_back: true
  confirmation_back_label: ''
  confirmation_back_attributes: {  }
  confirmation_exclude_query: false
  confirmation_exclude_token: false
  limit_total: null
  limit_total_interval: null
  limit_total_message: ''
  limit_user: null
  limit_user_interval: null
  limit_user_message: ''
  entity_limit_total: null
  entity_limit_total_interval: null
  entity_limit_user: null
  entity_limit_user_interval: null
  purge: none
  purge_days: null
  results_disabled: false
  results_disabled_ignore: false
  token_update: false
access:
  create:
    roles:
      - anonymous
      - authenticated
    users: {  }
    permissions: {  }
  view_any:
    roles: {  }
    users: {  }
    permissions: {  }
  update_any:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_any:
    roles: {  }
    users: {  }
    permissions: {  }
  purge_any:
    roles: {  }
    users: {  }
    permissions: {  }
  view_own:
    roles: {  }
    users: {  }
    permissions: {  }
  update_own:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_own:
    roles: {  }
    users: {  }
    permissions: {  }
  administer:
    roles: {  }
    users: {  }
    permissions: {  }
  test:
    roles: {  }
    users: {  }
    permissions: {  }
handlers:
  debug:
    id: debug
    label: Debug
    handler_id: debug
    status: true
    conditions: {  }
    weight: 1
    settings: {  }
